*{
    margin:0;
    padding:0;
    box-sizing:border-box;
}

body{
    font-family:'Inter', sans-serif;
    background:#F8F8F8;
    color:#000;
}

/* HEADER */
header{
    position:fixed;
    top:0;
    left:0;
    width:100%;
    height:70px;
    display:flex;
    justify-content:space-between;
    align-items:center;
    padding:0 30px;
    z-index:1000;
    background:transparent;
    transition:0.3s ease;
}

/* SCROLL EFFECT */
header.scrolled{
    background:white;
    box-shadow:0 2px 10px rgba(0,0,0,0.1);
}

.logo{
    height:45px;
}

.navbar{
    display:flex;
    gap:30px;
}

.navbar a{
    text-decoration:none;
    color:white;
    font-family:'Poppins';
    font-weight:600;
    transition:0.3s;
    font-size: 14px;
}

.navbar a:hover{
    color:#8C1F1F;
}

header.scrolled .navbar a{
    color:#CC2C2C;
}

header.scrolled .navbar a:hover{
    color: #000;
}

/* BUTTON */
.btn-reservasi{
    background:#D25858;
    padding:8px 15px;
    border-radius:17px;
    display:flex;
    align-items:center;
    justify-content:center;
    gap:5px;
    text-decoration:none;
    color:white;
    font-family:'Poppins';
    font-weight:600;
    font-size:14px;
    transition:0.3s ease;
}

.btn-reservasi:hover{
    background:#8C1F1F;
}

.reservasi-icon{
    width:24px;
    height:24px;
    object-fit:contain;
}

/* HERO */
.hero{
    height:85vh;
    display:flex;
    align-items:center;
    padding:0 5%;
    padding-top:70px;
    background: linear-gradient(rgba(0,0,0,0.2), rgba(0,0,0,0.2)),
    url('../image/benner1.png') center/cover no-repeat;
    color:white;
}

/* TEXT */
.hero-text{
    max-width:600px;
}

.hero h1{
    font-family:'Playfair Display';
    font-size:45px;
    line-height:1.2;
}

.fade-right{
    opacity:0;
    transform:translateX(50px);
    animation:slideIn 1s ease forwards;
}

@keyframes slideIn{
    to{
        opacity:1;
        transform:translateX(0);
    }
}

.hero span{
    color:#F4C542;
}

.hero p{
    margin:13px 0;
    color:#ddd;
    font-size: 16px;
}

/* BUTTON */
.hero-btn{
    margin-top: 50px;
    display:flex;
    gap:15px;
}

.btn-red{
    background:#CC2C2C;
    padding:15px 27px;
    border-radius:23px;
    color:white;
    align-items: center;
    text-align: center;
    text-decoration:none;
    display:flex;
    gap:5px;
    font-family:'Poppins';
    font-size:14px;
    transition:0.3s ease;
}

.btn-red:hover{
    background: #8C1F1F;
}

.btn-white{
    background:white;
    padding:15px 30px;
    border-radius:23px;
    color:black;
    align-items: center;
    text-align: center;
    text-decoration:none;
    display:flex;
    gap:5px;
    font-family:'Poppins';
    font-size:14px;
    transition:0.3s ease;
}

.btn-white:hover{
    background: #8C1F1F;
}

.menu-icon{
    width:23px;
    height:23px;
    object-fit:contain;
}

/*  MENU  */
.menu{
    text-align:center;
    padding:40px 5%;
}

.menu-label{
    color:#CC2C2C;
    font-weight:600;
    font-size:18px;
}

.menu h2{
    font-family:'Playfair Display';
    font-size:35px;
    margin-top:5px;
}

.line{
    width:40px;
    height:3px;
    background:#FEA825;
    margin:3px auto 30px;
    border-radius:10px;
}

.menu-desc{
    max-width:600px;
    margin:auto;
    color:#272727;
    margin-bottom:40px;
}

/* GRID */
.menu-grid{
    display:grid;
    grid-template-columns:repeat(auto-fit, minmax(130px, 1fr));
    gap:25px;
}

/* CARD */
.card{
    background:white;
    padding:10px;
    border-radius:10px;
    box-shadow:0 3px 7px rgba(0,0,0,0.3);
    transition:0.3s;
}

.card:hover{
    transform:translateY(-5px);
}

.btn-card{
    color: #000;
    text-decoration: none;
}

.card-icon{
    width:100%;
    height:140px;
    object-fit:contain;
}

.card h3{
    margin-top:7px;
    font-family:'Poppins';
    font-size: 18px;
}

.card p{
    font-size:12px;
    padding:0 10px;
    color:#666;
}

.more-icon{
    margin-top: 24px;
}

/* BUTTON CENTER */
.btn-center{
    margin-top:60px;
}

.btn-menu-red{
    border:2px solid #CC2C2C;
    padding:10px 25px;
    border-radius:15px;
    font-size: 14px;
    color:#CC2C2C;
    text-decoration:none;
}

.btn-menu-red:hover{
    border:2px solid #CC2C2C;
    padding:10px 25px;
    border-radius:15px;
    font-size: 15px;
    color:#CC2C2C;
}

/*  TENTANG */
.aboutus{
    margin-top:30px;
    position:relative;
    background:url('../image/bgtentangkami.png') center/cover no-repeat;
    height:450px;
    display:flex;
    align-items:center;
    padding:0 5%;
    color:white;
}

.aboutus-content{
    position:relative;
}
.aboutus-content h1{
    font-weight:600;
    font-size:14px;
    color: rgba(255, 255, 255, 0.70);
}

.aboutus-content h2{
    font-family:'Playfair Display';
    font-size:36px;
    margin:10px 0;
    color: rgba(255, 255, 255, 0.70);
}

.aboutus-content span{
    font-weight: 600;
    color: rgba(255, 255, 255, 0.80);
    font-size: 16px;
}

.aboutus-content p{
    font-size: 16px;
    line-height: 1.5;
    color: rgba(255, 255, 255, 0.70);
}

.btn-aboutus{
    display:inline-block;
    margin-top:20px;
    border:2px solid white;
    padding:10px 20px;
    border-radius:17px;
    font-size: 15px;
    color:white;
    text-decoration:none;
}

.btn-aboutus:hover{
    color:black;
    background: rgba(255, 255, 255, 0.70);
}

/* BOOKING */
.booking{
    padding:50px 5%;
    background:#f5f5f5;
}

.booking-wrapper{
    position:relative;
    height:350px;
    overflow:hidden;
    display:flex;
    align-items:center;
    justify-content:flex-end;
    background:url('../image/bgreservasi.png') center/cover no-repeat;
}

.booking-content{
    color:white;
    text-align:right;
    max-width:500px;
    margin-right:50px;
}

.booking h2{
    font-family:'Playfair Display';
    font-size:48px;
    line-height:1.2;
}

.booking p{
    margin:20px 0 20px 200px;
    font-size: 16px;
    line-height: 1.5;
    color:rgba(255,255,255,0.8);
}

.btn-booking{
    margin-top: 30px;
    display:inline-flex;
    border:2px solid white;
    padding:10px 20px;
    border-radius:20px;
    color:white;
    align-items:center;
    justify-content:center;
    gap:5px;
    text-decoration:none;
    font-family:'Poppins';
    font-size:14px;
    transition:0.3s;
}

.btn-booking:hover{
    background:white;
    color:#CC2C2C;
}

.booking-icon{
    height:24px;
    object-fit:contain;
}

/* LOKASI */
.location{
    background:#B11226;
    color:white;
    padding:40px 5%;
    height: 450px;
}

.location-container{
    display:flex;
    justify-content:space-between;
    align-items:center;
    gap:40px;
    max-width:1200px;
    margin:auto;
}

.location-text{
    max-width:500px;
}

.location h1{
    font-size:16px;
    font-weight:600;
    margin-bottom:10px;
}

.location h2{
    font-family:'Playfair Display';
    font-size:40px;
    line-height:1.2;
    margin-bottom:15px;
}

.location p{
    font-size:16px;
    color:#f1f1f1;
}

.location-list{
    display:grid;
    grid-template-columns:repeat(2, 1fr);
    gap:10px;
    margin-top:30px;
}

.location-item{
    background:white;
    color:black;
    padding:10px 13px;
    border-radius:10px;
    font-weight:600;
    display:flex;
    align-items:center;
    gap:10px;
}

.location-item .icon{
    font-size:16px;
}

.location-info{
    display:flex;
    flex-direction:column;
    line-height:1.2;
}

.outlet{
    font-size:14px;
    font-weight:600;
}

.city{
    font-size:12px;
    color:#777;
    font-weight:400;
}

.location-map{
    flex:1;
    display:flex;
    justify-content:flex-end;
}

.location-map img{
    width:100%;
    max-width:550px;
}

.btn-center{
    display:flex;
    justify-content:center;
    align-items:center;
    margin-top:40px;
}

.btn-location-white{
    display:inline-flex;
    align-items:center;
    justify-content:center;
    border:2px solid white;
    padding:8px 21px;
    border-radius:17px;
    color:white;
    text-decoration:none;
    font-family:'Poppins';
    font-size:15px;
    transition:all 0.3s ease;
}

.btn-location-white:hover{
    background:white;
    color:#B11226;
}

/* FOOTER */
footer{
    background:#3A3A3A;
    color:white;
    padding:20px 3%;
}

.footer-container{
    display:flex;
    justify-content:space-between;
    flex-wrap:wrap;
    gap:40px;
}

.footer-logo img{
    width:100px;
    opacity:0.7;
}

.footer-logo p{
    margin-top:10px;
    max-width:180px;
    line-height:1.5;
    font-size:14px;
}

.footer-menu h3,
.footer-contact h3{
    margin-bottom:15px;
    font-size:20px;
}

.footer-menu a{
    display:block;
    text-decoration:none;
    color:white;
    margin-bottom:5px;
    font-size: 12px;
}

.footer-contact p{
    margin-bottom:10px;
    font-size: 12px;
}

.copyright{
    text-align:center;
    margin-top:40px;
    font-size:12px;
}

/* ================= TABLET ================= */
@media (max-width: 1024px){

    /* NAV */
    .navbar{
        gap:20px;
    }

    /* HERO */
    .hero{
        height:70vh;
        padding:0 5%;
    }

    .hero h1{
        font-size:35px;
    }

    .hero p{
        font-size:14px;
    }

    .hero-btn{
        margin-top:30px;
    }

    /* MENU GRID */
    .menu-grid{
        grid-template-columns:repeat(3, 1fr);
    }

    /* ABOUT */
    .aboutus{
        height:auto;
        padding:40px 5%;
    }

    /* BOOKING */
    .booking-wrapper{
        height:300px;
        justify-content:center;
        text-align:center;
    }

    .booking-content{
        text-align:center;
        margin:0;
    }

    .booking p{
        margin:20px 0;
    }

    /* LOCATION */
    .location-container{
        flex-direction:column;
        text-align:center;
    }

    .location-map{
        justify-content:center;
    }

    .location-map img{
        max-width:400px;
    }

    .location{
        height:auto;
        padding:40px 5%;
    }

    .location h2{
        font-size:28px;
    }

    .location-list{
        grid-template-columns:1fr;
    }

    .location-item{
        justify-content:center;
    }

    /* FOOTER */
    .footer-container{
        flex-direction:column;
        gap:20px;
    }
}
    

/* hp*/
@media (max-width: 768px){
    header{
        height:60px;
        padding:0 10px;
    }

    .logo{
        height:35px;
    }

    .navbar{
        display:flex;
        gap:9px;
        flex-wrap:wrap;
        justify-content:center;
    }

    .navbar a{
        font-size:10px;
    }

    .btn-reservasi{
        font-size:10px;
        padding:5px 8px;
    }

    .reservasi-icon{
        width:16px;
        height:16px;
    }

    /* HERO */
    .hero{
        height:38vh;
        text-align:center;
        justify-content:center;
    }

    .hero-text{
        max-width:80%;
    }

    .hero h1{
        font-size:20px;
    }

    .hero p{
        font-size:12px;
    }

    .hero-btn{
        align-items:center;
    }

    .btn-red,
    .btn-white{
        width:200px;
        justify-content:center;
        padding: 10px;
    }

    /* MENU */
    .menu h2{
        font-size:28px;
    }

    .menu-grid{
        grid-template-columns:repeat(3, 1fr);
        gap:10px;
    }
    

    .card-icon{
        height:80px;
    }

    .card h3{
        font-size: small;
    }

    .card p,
    .more-icon{
        display: none;
    }

    /* ABOUT */
    .aboutus{
        text-align:center;
    }

    .aboutus-content{
        max-width:100%;
    }

    /* BOOKING */
    .booking-wrapper{
        height:auto;
        padding:40px 20px;
    }

    .booking h2{
        font-size:28px;
    }

    .booking p{
        font-size:14px;
    }

    /* LOCATION */
    .location{
        height:auto;
        padding:40px 5%;
    }

    .location h2{
        font-size:28px;
    }

    .location-list{
        grid-template-columns:1fr;
    }

    .location-item{
        justify-content:center;
    }

    /* FOOTER */
    .footer-container{
        flex-direction:column;
        gap:20px;
    }
}